Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control.events
Class BattleMessageEvent

    java.lang.Object
      robocode.control.events.BattleEvent
          robocode.control.events.BattleMessageEvent

    public class BattleMessageEvent

extends BattleEvent

A BattleMessageEvent is sent to `onBattleMessage()` when an information message is sent from the game in the during the battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `BattleErrorEvent`

Constructor Summary
`BattleMessageEvent(String message)` Creates a new BattleMessageEvent.

Method Summary
`String` | `getMessage()` Returns the information message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattleMessageEvent

    public BattleMessageEvent(String message)

  Creates a new BattleMessageEvent.

  Parameters:
    `message` - the information message.

Method Detail

### getMessage

    public String getMessage()

  Returns the information message.

  Returns:
    the information message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.